<?xml version="1.0" encoding="utf-8"?>
						<choice xmlns="http://relaxng.org/ns/structure/1.0" xmlns:a="http://relaxng.org/ns/compatibility/annotations/1.0" xmlns:rng="http://relaxng.org/ns/structure/1.0" xmlns:foo="foo">
							<element name="foo">
								<attribute name="bar">
									<data type="ID" datatypeLibrary="http://relaxng.org/ns/compatibility/datatypes/1.0"/>
								</attribute>
								
								<value>123</value>
							</element>
							
							<element name="foo">
								<attribute name="bar">
									<data type="ID" datatypeLibrary="http://relaxng.org/ns/compatibility/datatypes/1.0"/>
								</attribute>
								
								<value>456</value>
							</element>
						</choice>
					